Bug 1410739 - [Docs][Manual Install] Remove Tech Preview notices for manila
Summary: [Docs][Manual Install] Remove Tech Preview notices for manila
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: async
: 10.0 (Newton)
Assignee: Lukas Ruzicka
QA Contact: Don Domingo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 10:09 UTC by Md Nadeem
Modified: 2020-02-14 18:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-10 10:10:21 UTC
Target Upstream Version:
mnadeem: needinfo+


Attachments (Terms of Use)

Description Md Nadeem 2017-01-06 10:09:04 UTC
Description of problem:

As per release note (section 2.7), Manila is fully supported with OSP10:
>> https://access.redhat.com/webassets/avalon/d/Red_Hat_OpenStack_Platform-10-Release_Notes-en-US/Red_Hat_OpenStack_Platform-10-Release_Notes-en-US.pdf

"The Shared File System service (manila) is now a composable controller service deployable
through director, and is now fully supported. With this release, the NetApp driver is also fully
integrated into director, thereby enabling NetApp back end configuration for the Shared File
System service out-of-the-box. The CephFS native driver (Technology Preview) is also fully
integrated into director."


However, Red_Hat_OpenStack_Platform-10-Manual_Installation guide contradict the above statement by putting the below warning message on chapter 15:
>>https://access.redhat.com/webassets/avalon/d/Red_Hat_OpenStack_Platform-10-Manual_Installation_Procedures-en-US/Red_Hat_OpenStack_Platform-10-Manual_Installation_Procedures-en-US.pdf

"The OpenStack Shared File System service is available in this release as a Technology Preview, and
therefore is not fully supported by Red Hat. It should only be used for testing, and should not be
deployed in a production environment. For more information about Technology Preview features, see
Scope of Coverage Details"

As per my knowledge, manila is fully supported in OSP10, So please verify and update the Red_Hat_OpenStack_Platform-10-Manual_Installation guide.

Version-Release number of selected component (if applicable):


How reproducible: NA


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Lucy Bopf 2017-01-09 01:54:28 UTC
Assigning to Lukas for review.

Comment 3 Lukas Ruzicka 2017-01-10 10:10:21 UTC
Changes were uploaded into the master branch and built.


Note You need to log in before you can comment on or make changes to this bug.